---

# These are EC2 firewall settings, aka "security groups"

- name: Set up Zuul main group
  ec2_group:
    name: "{{ zuul_instance_name }}"
    description: Zuul Main
    region: "{{ ec2_region }}"
    aws_secret_key: "{{ ec2_secret_key }}"
    aws_access_key: "{{ ec2_access_key }}"
    vpc_id: "{{ ec2_vpc_id }}"
    rules:
      - proto: tcp
        ports:
          - 22 # ssh
          - 79 # finger
          - 4730 # gearmain
          - 8000 # logs
          - 7900 # fingergw
          - 9000 # zuul web interface
        cidr_ip: "0.0.0.0/0"
        cidr_ipv6: "::/0"
  register: security_group_zuul
        
# Notes: not sure if this is too much to open


- name: Set up Zuul backend group
  ec2_group:
    name: "{{ zuul_backend_name }}"
    description: Zuul Backend
    region: "{{ ec2_region }}"
    aws_secret_key: "{{ ec2_secret_key }}"
    aws_access_key: "{{ ec2_access_key }}"
    vpc_id: "{{ ec2_vpc_id }}"
    rules:
      - proto: tcp
        ports:
          - 22 # ssh
          - 79 # finger
          - 2181 # zookeeper
          - 7900 # fingergw
          - 19885 # Console log streaming
        cidr_ip: "0.0.0.0/0"
        cidr_ipv6: "::/0"
  register: security_group_backend

# Notes: ideally some of these should be only exposed to the private
# network
